/***************************************************************************************************
	 2013 McGladrey LLP  All rights reserved.

McGladrey LLP (McGladrey) grants to Client a limited, non-exclusive, non-transferable right to
install and use the Software/Source Code solely for internal business purposes.  Client may not
distribute, give, rent, loan, or resell a copy of the Software/Source Code to any third party.
McGladrey is the owner of the copyright for the Software/Source Code and McGladrey reserves all
rights related to such ownership.  Any Warranty granted by McGladrey is void if Software/Source Code
is modified by anyone other than McGladrey.

$URL: https://svn.mcgladreycloud.com/repos/NonClient/McGladrey.Library/trunk/bin/Obfuscated/000.McGladrey.Library.install.sql $
$Rev: 7798 $
$Date: 2013-12-26 12:32:35 -0600 (Thu, 26 Dec 2013) $
***************************************************************************************************/
-- Create McGladrey configuration group and basic settings used by McGladrey.Library

print @@servername + ':' + db_name() + ' - starting at ' + convert(varchar, getdate(), 109)
print ''
go

if exists (select * from sysobjects where name = 'SystemConfig')
begin
	insert SystemConfigPageRef (SystemConfigPageKey, SystemConfigPageName, SystemConfigPageDesc)
		select '316F8E3A-8391-45E4-9005-BC5FDE08EFAC', 'RSMCustomSettings', 'Custom settings for McGladrey-created features (Variable names in parentheses)'
		where not exists (select * from SystemConfigPageRef where SystemConfigPageKey = '316F8E3A-8391-45E4-9005-BC5FDE08EFAC')

	if not exists (select * from SystemConfig where SystemConfigKey = '7BED4811-61EC-401C-A0B6-B35B3B3A7E35')
	begin
		exec asi_InsertSystemConfig 'Organization', 'RSMCustomSettings', 'MANAGER',
			'7BED4811-61EC-401C-A0B6-B35B3B3A7E35', 'RSM.Common.LogLevel',
			'F5B9AFDF-F6C2-4709-9058-AEA5FF1A04A3', 6, 14, 15,
			'Detail level for logging. 0=none, 1=errors, 2=warnings, 3=informational, 4=debug, 5=verbose',
			'2', 1
	end
	else
	begin
		update SystemConfigPageParameterRef
			set SortOrder = 1
			where SystemConfigPageKey = '316F8E3A-8391-45E4-9005-BC5FDE08EFAC'
				and ParameterName = 'RSM.Common.LogLevel'
	end

	declare @oldValue varchar(10)

	select @oldValue = ParameterValue
		from SystemConfig
		where SystemConfigKey = 'D8048018-6E59-4AA1-95F9-B03EB5DA236E'

	if @@rowcount = 1
	begin
		update SystemConfig
			set ParameterValue = @oldValue
			where SystemConfigKey = '7BED4811-61EC-401C-A0B6-B35B3B3A7E35'

		delete SystemConfig
			where SystemConfigKey = 'D8048018-6E59-4AA1-95F9-B03EB5DA236E'
	end
	
	if not exists (select * from SystemConfig where SystemConfigKey = '54d7fd9c-b9f8-449a-a192-0aef485e7f1a')
	begin
		exec asi_InsertSystemConfig 'Organization', 'RSMCustomSettings', 'MANAGER',
			'54d7fd9c-b9f8-449a-a192-0aef485e7f1a', 'RSM.Common.LogDatedFile',
			'8c2662c3-ad97-4f83-8208-6494e091b783', 2, 0, 40,
			'Use year and month in log filename',
			'0', 2
	end
	else
	begin
		update SystemConfigPageParameterRef
			set SortOrder = 2
			where SystemConfigPageKey = '316F8E3A-8391-45E4-9005-BC5FDE08EFAC'
				and ParameterName = 'RSM.Common.LogDatedFile'
	end

	if not exists (select * from SystemConfig where SystemConfigKey = 'C0E29CEC-8C73-410C-A414-1A4C8CA4E47F')
	begin
		exec asi_InsertSystemConfig 'Organization', 'RSMCustomSettings', 'MANAGER',
			'C0E29CEC-8C73-410C-A414-1A4C8CA4E47F', 'RSM.Common.DefaultCacheDuration',
			'C7D48CAD-27FF-4C5C-AC5D-9261A2A6E020', 6, 23, 40,
			'Default time (in seconds) to cache settings',
			'120', 3
	end
	else
	begin
		update SystemConfigPageParameterRef
			set SortOrder = 3
			where SystemConfigPageKey = '316F8E3A-8391-45E4-9005-BC5FDE08EFAC'
				and ParameterName = 'RSM.Common.DefaultCacheDuration'
	end

	if not exists (select * from SystemConfig where SystemConfigKey = '45E1069E-4152-4EDA-8345-3E47CAC70D3B')
	begin
		exec asi_InsertSystemConfig 'Organization', 'RSMCustomSettings', 'MANAGER',
			'45E1069E-4152-4EDA-8345-3E47CAC70D3B', 'RSM.Common.RequireSSL',
			'D83B8134-591F-4EF9-B878-6AE4B98E6280', 2, 0, 40,
			'Require SSL connections for web services',
			'1', 4
	end
	else
	begin
		update SystemConfigPageParameterRef
			set SortOrder = 4
			where SystemConfigPageKey = '316F8E3A-8391-45E4-9005-BC5FDE08EFAC'
				and ParameterName = 'RSM.Common.RequireSSL'
	end
end

go
print ''
print @@servername + ':' + db_name() + ' - finished at ' + convert(varchar, getdate(), 109)
print ''
go
